%define module	PyXML
%define name	python-pyxml
%define version 0.8.4
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://%{name}.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pyxml/PyXML-%{version}.tar.bz2
License:	Apacheish License
Group:		System/Libraries
Summary:	XML libraries for python
BuildRequires:	python-devel
BuildRequires:	libexpat-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%{module}
Provides:	%{module}
#gw we need full python
Requires:	python

%description
An XML package for Python. The distribution contains a validating XML parser,
an implementation of the SAX and DOM programming interfaces and an interface
to the Expat parser.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build --with-libexpat=%_prefix

%install
rm -fr $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES 

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc LICENCE ANNOUNCE CREDITS README README.dom README.pyexpat README.sgmlop TODO doc/*
%py_platsitedir/_xmlplus
%_bindir/*
%lang(de) %{py_platsitedir}/*/dom/de/
%lang(en_US) %{py_platsitedir}/*/dom/en_US/
%lang(fr) %{py_platsitedir}/*/dom/fr/

%changelog
* Wed Feb 01 2006 Michael Scherer <misc@mandriva.org> 0.8.4-6mdk
- really fix file listing for amd64

* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 0.8.4-5mdk
- fix file listing, and no longer ship .pyo

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-4mdk
- depend on python

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8.4-3mdk
- Rebuild

* Wed May  4 2005 Gtz Waschk <waschk@mandriva.org> 0.8.4-2mdk
- use external libexpat
- enable xpath and xslt

* Thu Dec 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.4-1mdk
- new version
- changed name

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.3-4mdk
- Rebuild for new python

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.8.3-3mdk
- [DIRM]

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.8.3-2mdk 
- [DIRM]

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 0.8.3-1mdk
- 0.8.3

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-4mdk
- rebuild for new python

* Sat Mar 29 2003 David Walluck <walluck@linux-mandrake.com> 0.8.2-3mdk
- release

* Tue Mar 25 2003 David Walluck <david@anti-microsoft.org> 0.8.2-2plf
- spec file cleanups

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0.8.2-1plf
- release
